Show / Hide Table of Contents

# Class ReadCredentialRequest

Read Credential request mapping entry. Expects a Credential with CredentialId, and responds with the Password filled in if found

##### Inheritance

System.Object
ReadCredentialRequest

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace:Microsoft.SqlTools.ServiceLayer.Credentials.Contracts

###### Assembly:Microsoft.SqlTools.ServiceLayer.dll

##### Syntax

    public class ReadCredentialRequest

### Fields

| Improve this Doc View Source

#### Type

Request definition

##### Declaration

    public static readonly RequestType<Credential, Credential> Type

##### Field Value

Type | Description
--- | ---
RequestType<Credential, Credential> |